hc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ortwin Gl├╝ck <...@odi.ch>
Subject Re: requirements, dependencies, jdk...
Date Wed, 14 Nov 2007 12:56:23 GMT
sebb wrote:
> I think this depends on where HttpClient is likely to be used. If it
> is extensively used in large applications such as servers etc - which
> may depend on lots of other software - then it seems to me that
> HttpClient should only require 1.5 if that is absolutely necessary at
> run-time.

JBoss ships with HttpClient by default. Don't know exactly what they use
it for, but I guess for webservices. Also all of our J2EE applications
use HttpClient. I think it is very important not to cause dependency hell.


---------------------------------------------------------------------
To unsubscribe, e-mail: httpcomponents-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: httpcomponents-dev-help@jakarta.apache.org


Mime
View raw message